import http from '@/http/http.js'
const request = http.request

/**
 * 获取台桌列表
 * @returns
 */
export function getShopTable(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/shopTable`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 获取台桌详情
 * @returns
 */
export function getShopTableDetail(data, urlType = 'account') {
	return request({
		url: `/account/admin/shopTable/detail`,
		method: "GET",
		data: {
			...data
		}
	})
}

/**
 * 台桌清台
 * @returns
 */
export function shopTableClear(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/shopTable/clear`,
		method: "PUT",
		data: {
			...data
		}
	})
}

/**
 * 台桌绑定
 * @returns
 */
export function shopTableBind(data, urlType = 'account') {
	return request({
		url: `${urlType}/admin/shopTable/bind`,
		method: "POST",
		data: {
			...data
		}
	})
}
